Bug 534653 - (RHQ-1429) Disable "Manual add:" in inventory when the resource is marked as down, as the create will fail in any case
Disable "Manual add:" in inventory when the resource is marked as down, as th...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
unspecified
All All
low Severity medium (vote)
: ---
: RHQ 4.13
Assigned To: Jirka Kremser
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2009-01-29 10:46 EST by Heiko W. Rupp
Modified: 2014-07-21 09:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-01-29 10:46:00 EST
Go to the inventory  page of a downed resource (e.g. a platform where the agent is down).
Try to e.g. manually a postgres server.
The add dialog works as normal, but after submitting an error is shown:

An unexpected error occurred in the Agent. Failed to add resource with type [Postgres Server] and parent resource id [500050]. - Cause: java.lang.NullPointerException:null

We should perhaps grey out / disable the "Manually add" section when the resource is down, as the manual will not work when the resource is not started. 




Side note: 
Agent shows:

2009-01-29 16:38:34,119 ERROR [WorkerThread#0[127.0.0.1:57571]] (rhq.core.pc.inv
entory.InventoryManager)- Manual add failed for resource of type 'Postgres Serve
r' and parent resource id [500050].
java.lang.NullPointerException
        at org.rhq.core.pc.inventory.InventoryManager.manuallyAddResource(InventoryManager.java:387)
Comment 1 Red Hat Bugzilla 2009-11-10 15:32:48 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1429
Comment 2 Charles Crouch 2010-07-12 18:14:33 EDT
Making a bunch of UI related bugs block the 'gwt' issue. Doesn't mean these have to be done, but they should at least be thought about.
Comment 3 John Mazzitelli 2011-02-11 16:56:37 EST
there are two items - in the left hand resource tree, right mouse button and the inventory tab>children there is an Import option. That's the option we should disable.
Comment 4 John Mazzitelli 2011-02-11 16:58:01 EST
this is also true for the Create child option as well (from the left hand tree popup menu). need to disable that too.
Comment 5 Jay Shaughnessy 2014-05-02 16:55:48 EDT
I believe this is still true. Not sure.

Note You need to log in before you can comment on or make changes to this bug.